<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE qml SYSTEM "/wt/query/qml/qml.dtd">
<qml bypassAccessControl="true">
	<parameter name="User Last Name" type="java.lang.Object">
		<parameterDefault isMacro="false">
			*lastname*
		</parameterDefault>
	</parameter>
	<statement>
		<query>
			<select distinct="true" group="true">
				<object alias="Project (wt.projmgmt.admin.Project2)" heading="Project (wt.projmgmt.admin.Project2)" propertyName=""/>
				<column alias="Project Resource" heading="User Name" isExternal="false" propertyName="name" selectOnly="false" type="java.lang.String">
					name
				</column>
				<column alias="Project Activity" heading="Activity Name" isExternal="false" propertyName="name" selectOnly="false" type="java.lang.String">
					name
				</column>
				<column alias="Project Activity" heading="Activity State" isExternal="false" propertyName="state" selectOnly="false" type="wt.workflow.engine.WfState">
					state
				</column>
				<column alias="Project (wt.projmgmt.admin.Project2)" heading="Project State" isExternal="false" propertyName="ctmState" selectOnly="false" type="wt.inf.team.ContainerTeamManagedState">
					containerTeamManagedInfo.state
				</column>
				<object alias="Project (wt.projmgmt.admin.Project2)" heading="Project Owner" propertyName="owner.name">
					<property name="owner">
						<property name="name"/>
					</property>
				</object>
				<object alias="Project Activity" heading="Deadline" propertyName="deadlineForDisplay">
					<property name="deadlineForDisplay"/>
				</object>
				<object alias="Project Activity" heading="Estimated Finish Date" propertyName="estimatedFinishDateForDisplay">
					<property name="estimatedFinishDateForDisplay"/>
				</object>
			</select>
			<from>
				<table alias="Project Resource" isExternal="false">
					wt.projmgmt.resource.ProjectResource
				</table>
				<table alias="Project Activity" isExternal="false">
					wt.projmgmt.execution.ProjectActivity
				</table>
				<table alias="Project (wt.projmgmt.admin.Project2)" isExternal="false">
					wt.projmgmt.admin.Project2
				</table>
			</from>
			<where>
				<compositeCondition type="and">
					<condition>
						<operand>
							<function heading="Lower" name="LOWER" type="java.lang.String">
								<column alias="Project Resource" heading="Name" isExternal="false" propertyName="name" selectOnly="false" type="java.lang.String">
									name
								</column>
							</function>
						</operand>
						<operator type="like"/>
						<operand>
							<parameterTarget name="User Last Name"/>
						</operand>
					</condition>
					<condition>
						<operand>
							<column alias="Project Activity" heading="State" isExternal="false" propertyName="state" selectOnly="false" type="wt.workflow.engine.WfState">
								state
							</column>
						</operand>
						<operator type="notEqual"/>
						<operand>
							<constant heading="CLOSED_COMPLETED_EXECUTED" isMacro="false" type="wt.workflow.engine.WfState">
								CLOSED_COMPLETED_EXECUTED
							</constant>
						</operand>
					</condition>
					<condition>
						<operand>
							<column alias="Project Activity" heading="State" isExternal="false" propertyName="state" selectOnly="false" type="wt.workflow.engine.WfState">
								state
							</column>
						</operand>
						<operator type="notEqual"/>
						<operand>
							<constant heading="CLOSED_TERMINATED" isMacro="false" type="wt.workflow.engine.WfState">
								CLOSED_TERMINATED
							</constant>
						</operand>
					</condition>
					<condition>
						<operand>
							<column alias="Project (wt.projmgmt.admin.Project2)" heading="Persist Info.Mark For Delete" isExternal="false" propertyName="persistInfo.markForDelete" selectOnly="false" type="long">
								thePersistInfo.markForDelete
							</column>
						</operand>
						<operator type="equal"/>
						<operand>
							<constant heading="0" isMacro="false" type="java.lang.Object">
								0
							</constant>
						</operand>
					</condition>
				</compositeCondition>
			</where>
			<linkJoin>
				<join name="wt.projmgmt.resource.ResourceAssignmentLink">
					<aliasTarget alias="Project Activity"/>
					<aliasTarget alias="Project Resource"/>
				</join>
			</linkJoin>
			<referenceJoin>
				<join name="containerReference">
					<aliasTarget alias="Project Activity"/>
					<aliasTarget alias="Project (wt.projmgmt.admin.Project2)"/>
				</join>
			</referenceJoin>
		</query>
	</statement>
</qml>
